#ifndef _H_94CC66D3AFD5864B96A475E101BD5353_MenuEntry__H_
#define _H_94CC66D3AFD5864B96A475E101BD5353_MenuEntry__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace visualization_msgs
{
    namespace msg
    {
        namespace dds_
        {
            namespace MenuEntry_Constants
            {
                const ::DDS::Octet FEEDBACK_ = 0;

                const ::DDS::Octet ROSRUN_ = 1;

                const ::DDS::Octet ROSLAUNCH_ = 2;

            }

            struct  MenuEntry_
            {
                ::DDS::ULong id_;
                ::DDS::ULong parent_id_;
                ::DDS::String_mgr title_;
                ::DDS::String_mgr command_;
                ::DDS::Octet command_type_;
            };

            typedef DDS_DCPSStruct_var<MenuEntry_> MenuEntry__var;
            typedef DDS_DCPSStruct_out < MenuEntry_> MenuEntry__out;

        }

    }

}

#endif /* _H_94CC66D3AFD5864B96A475E101BD5353_MenuEntry__H_ */
